JavaBeanTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.java.javabean.JavaBeanTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.java.javabean
Class JavaBeanTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.java.javabean.JavaBeanTagsHandler

public class JavaBeanTagsHandler
extends XDocletTagSupport

Specific tags handler to make the template easy.

Version:
  $Revision: 1.5 $
Author:
  Laurent Etiemble (letiemble@users.sourceforge.net), Ryan Ovrevik
xdoclet.taghandler
  namespace="JavaBean"
created
  June 20, 2002

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`JavaBeanTagsHandler()`

Method Summary
`String` | `beanClass(Properties attributes)` return configured bean class name or current class name
`String` | `capitalizeClassTag(Properties attributes)` Capitalize the first letter of a class tag (i.e countToken => CountToken)
`static String` | `getBeanInfoClassFor(xjavadoc.XClass clazz)`
`String` | `getGetterMethodNameQuoted()` Get the getter method for the current method
`String` | `getPropertyNameQuoted()` Get the property name for the current method xxx rlo the is fucked
`String` | `getSetterMethodNameQuoted()` Get the setter method for the current method
`String` | `getterPrefix(Properties attributes)` Return the getter prefix according to the class tag that contains a class.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBeanTagsHandler

    public JavaBeanTagsHandler()

Method Detail

### getBeanInfoClassFor

    public static String getBeanInfoClassFor(xjavadoc.XClass clazz)
                                      throws XDocletException

  Throws:
    `XDocletException`

### getterPrefix

    public String getterPrefix(Properties attributes)
                        throws XDocletException

  Return the getter prefix according to the class tag that contains a class.

  Parameters:
    `attributes` - XDoclet attributes
  Returns:
    The getter prefix
  Throws:
    `XDocletException` - Thrown in case of problem

### getGetterMethodNameQuoted

    public String getGetterMethodNameQuoted()

  Get the getter method for the current method

  Returns:

### getSetterMethodNameQuoted

    public String getSetterMethodNameQuoted()

  Get the setter method for the current method

  Returns:

### getPropertyNameQuoted

    public String getPropertyNameQuoted()

  Get the property name for the current method xxx rlo the is fucked

  Returns:

### beanClass

    public String beanClass(Properties attributes)
                     throws XDocletException

  return configured bean class name or current class name

  Parameters:
    `attributes` - XDoclet attributes
  Returns:
    The getter prefix
  Throws:
    `XDocletException` - Thrown in case of problem

### capitalizeClassTag

    public String capitalizeClassTag(Properties attributes)
                              throws XDocletException

  Capitalize the first letter of a class tag (i.e countToken => CountToken)

  Parameters:
    `attributes` - XDoclet attributes
  Returns:
    The class tag capitalized
  Throws:
    `XDocletException` - Thrown in case of problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD